I get error on

Back to course
Viewing 4 posts - 1 through 4 (of 4 total)
  • Author
    Posts
  • #6464

    bendiro
    Participant
    Hi staff, I installed all needed packets (I hope) but when I try to execute "<span style="color: #313b3d; font-family: Poppins; font-weight: bold;">Ionic serve"</span> I get the error above, please can you help me? (I'm on mac) sh-3.2# Ionic serve Error: Cannot find module '/Users/robertobendinelli/Documents/Ionic/canta-app/node_modules/@ionic/app-scripts' at Function.Module._resolveFilename (module.js:538:15) at Function.Module._load (module.js:468:25) at Module.require (module.js:587:17) at require (internal/module.js:11:18) at Object.<anonymous> (/usr/local/lib/node_modules/ionic/node_modules/@ionic/cli-utils/lib/ionic-angular/app-scripts.js:9:16) at Generator.next (<anonymous>) at /usr/local/lib/node_modules/ionic/node_modules/tslib/tslib.js:107:75 at new Promise (<anonymous>) at Object.__awaiter (/usr/local/lib/node_modules/ionic/node_modules/tslib/tslib.js:103:16) at Object.importAppScripts (/usr/local/lib/node_modules/ionic/node_modules/@ionic/cli-utils/lib/ionic-angular/app-scripts.js:7:20) sh-3.2#  
    #6473

    bendiro
    Participant
    thanks R.
    #6476

    bendiro
    Participant
    I downgrade node from v8 to v6 with no results  
    #6543

    admin
    Member
    It looks like your ionic was not installed properly . Please follow these steps :

    In your project rename “node_modules” folder to “node_modules.bak” and package.json to “package.json.bak” .
    Then download package.json file from here : http://bit.ly/2n7mVM7

    then open terminal or cmd navigate to project folder and simply run this command :

    npm install

Viewing 4 posts - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.